Skip to content

/v1/projects/{projectId}/agent-profiles

GET
/v1/projects/{projectId}/agent-profiles
curl --request GET \
--url https://service.v2.nairon.xyz/v1/projects/example/agent-profiles \
--header 'Authorization: Bearer <token>'
projectId
required
string format: cuid
/^[cC][0-9a-z]{6,}$/

Default Response

Media typeapplication/json
object
agentProfiles
required
Array<object>
object
id
required
string format: cuid
/^[cC][0-9a-z]{6,}$/
projectId
required
string format: cuid
/^[cC][0-9a-z]{6,}$/
name
required
string
isDefault
required
boolean
supportedInputLanguages
required
Array<string>
reasoningMode
required
string
outputVoiceId
required
string
flowIds
required
Array<string>
createdAt
required
string
updatedAt
required
string
Examplegenerated
{
"agentProfiles": [
{
"id": "example",
"projectId": "example",
"name": "example",
"isDefault": true,
"supportedInputLanguages": [
"example"
],
"reasoningMode": "example",
"outputVoiceId": "example",
"flowIds": [
"example"
],
"createdAt": "example",
"updatedAt": "example"
}
]
}